
"""
The scheduler module manages the batches and the cloud workers during the system execution. It stores the batches for which QoS has been request by users and the cloud workers available. When cloud resources are used, it assigns which cloud worker must worker for a batch. It interacts with users who request QoS management for their batches. It also interacts with the Credit System to account the credits spent and to verify their availability. It interacts with the oracle to evaluate if the use of cloud resource is relevant. It starts the cloud workers, to make them join the DG and stop them. It also interacts with the DG directly, to make a batch being computed by cloud workers which has been funded by its user.

"""

