drop table if exists QoSBatches, CloudWorkers;

create table QoSBatches ( -- Stores the information on batches currently managed by QoS, for which cloud resources may be assigned to.
        batch_id VARCHAR(50) PRIMARY KEY,
        dg_name VARCHAR(50),
        batch_data VARCHAR(150)
    );

create table CloudWorkers ( -- Stores the information on cloud worker available in the system. The cloud worker may be assigned to a batch ("execute" association)
        cloud_worker_id int PRIMARY KEY AUTO_INCREMENT,
        cloud_tech VARCHAR(50),
        cloud_host VARCHAR(50),
        cloud_worker_data VARCHAR(50),
        batch_id VARCHAR(50)
    );

create table DesktopGrid ( -- Stores the information on DG available in the system.
        dg_name VARCHAR(50) PRIMARY KEY,
        dg_type VARCHAR(50),
        dg_plugin_url VARCHAR(100)
    );
